跳转到主要内容
GET
/
v1
/
videos
/
{video_id}
OpenAI video status
curl --request GET \
  --url http://sandbox.mintlify.com/v1/videos/{video_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "video_123456789",
  "object": "video",
  "created_at": 1741570283,
  "completed_at": 1741570383,
  "model": "sora-2",
  "status": "pending",
  "progress": 50,
  "expires_at": 1741656683,
  "seconds": "4",
  "size": "720x1280",
  "remixed_from_video_id": "<string>",
  "error": {
    "code": "<string>",
    "message": "<string>",
    "type": "<string>"
  }
}
用于查询视频生成任务的当前状态、进度和错误信息。
  • 使用 Authorization: Bearer {API_KEY} 鉴权
  • 核心路径参数是 video_id
  • 这个接口通常在创建任务之后被轮询调用
  • 如果产品层有任务表,建议把 provider 原始状态和内部状态分开存

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

video_id
string
必填

Video ID

示例:

"video_123456789"

响应

Successful video task status response

id
string
必填

Video task ID.

示例:

"video_123456789"

object
enum<string>
必填

Object type.

可用选项:
video
status
enum<string>
必填

Current task status.

可用选项:
pending,
in_progress,
completed,
failed
created_at
integer<int64>

Creation timestamp.

completed_at
integer<int64>

Completion timestamp.

model
string

Model used for generation.

progress
integer

Task progress percentage.

必填范围: 0 <= x <= 100
expires_at
integer<int64>

Expiration timestamp for the generated asset.

seconds
string

Video duration in seconds.

size
enum<string>

Video resolution.

可用选项:
720x1280,
1280x720
remixed_from_video_id
string

Source video ID when the task comes from remix.

error
object